List notifications
curl --request GET \
--url https://pushctl.com/api/v1/notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pushctl.com/api/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pushctl.com/api/v1/notifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://pushctl.com/api/v1/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"notification": {
"title": "<string>",
"body": "<string>",
"image_url": "<string>",
"action_url": "<string>"
},
"data": {},
"options": {},
"target_users": 123,
"statistics": {
"users": 123,
"installations": 123,
"accepted": 123,
"received": 123,
"displayed": 123,
"opened": 123,
"failed": 123,
"skipped": 123
},
"created_at": "2023-11-07T05:31:56Z",
"processing_started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"links": {},
"meta": {}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "<string>"
}Notifications
List notifications
Returns paginated notification history, optionally filtered by status.
GET
/
api
/
v1
/
notifications
List notifications
Authorizations
Use an application-scoped token with the ability required by the endpoint.
Query Parameters
Available options:
queued, processing, completed, partial, failed Required range:
1 <= x <= 100Was this page helpful?
⌘I